Bug 1228430 - [abrt] gnome-2048: g_type_check_instance_is_fundamentally_a(): gnome-2048 killed by SIGSEGV
Summary: [abrt] gnome-2048: g_type_check_instance_is_fundamentally_a(): gnome-2048 kil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-2048
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yanko Kaneti
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dac7f2c930883ba6c80617e3a50...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-04 22:43 UTC by fred
Modified: 2015-06-26 06:42 UTC (History)
4 users (show)

Fixed In Version: gnome-2048-0.1.0-0.4.git3ea1464.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-26 06:42:12 UTC


Attachments (Terms of Use)
File: backtrace (22.91 KB, text/plain)
2015-06-04 22:44 UTC, fred
no flags Details
File: cgroup (190 bytes, text/plain)
2015-06-04 22:44 UTC, fred
no flags Details
File: core_backtrace (9.95 KB, text/plain)
2015-06-04 22:44 UTC, fred
no flags Details
File: dso_list (14.96 KB, text/plain)
2015-06-04 22:44 UTC, fred
no flags Details
File: environ (1.41 KB, text/plain)
2015-06-04 22:44 UTC, fred
no flags Details
File: limits (1.29 KB, text/plain)
2015-06-04 22:44 UTC, fred
no flags Details
File: maps (58.99 KB, text/plain)
2015-06-04 22:44 UTC, fred
no flags Details
File: mountinfo (3.31 KB, text/plain)
2015-06-04 22:44 UTC, fred
no flags Details
File: namespaces (85 bytes, text/plain)
2015-06-04 22:44 UTC, fred
no flags Details
File: open_fds (701 bytes, text/plain)
2015-06-04 22:44 UTC, fred
no flags Details
File: proc_pid_status (964 bytes, text/plain)
2015-06-04 22:44 UTC, fred
no flags Details
File: var_log_messages (1.03 KB, text/plain)
2015-06-04 22:44 UTC, fred
no flags Details

Description fred 2015-06-04 22:43:58 UTC
Version-Release number of selected component:
gnome-2048-0.1.0-0.2.git83c5a4a.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        gnome-2048
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/gnome-2048
global_pid:     4257
kernel:         4.0.4-303.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4026
 #1 g_object_ref at gobject.c:3040
 #2 _g_object_ref0 at game.c:260
 #3 _game_clear_foreground at game.c:2610
 #4 game_new_game at game.c:323
 #5 __lambda9_ at application.c:724
 #6 ___lambda9__gtk_widget_delete_event at application.c:735
 #7 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
 #12 gtk_widget_event_internal at gtkwidget.c:7787
 #13 gtk_main_do_event at gtkmain.c:1640

Comment 1 fred 2015-06-04 22:44:01 UTC
Created attachment 1034952 [details]
File: backtrace

Comment 2 fred 2015-06-04 22:44:03 UTC
Created attachment 1034953 [details]
File: cgroup

Comment 3 fred 2015-06-04 22:44:05 UTC
Created attachment 1034954 [details]
File: core_backtrace

Comment 4 fred 2015-06-04 22:44:07 UTC
Created attachment 1034955 [details]
File: dso_list

Comment 5 fred 2015-06-04 22:44:08 UTC
Created attachment 1034956 [details]
File: environ

Comment 6 fred 2015-06-04 22:44:09 UTC
Created attachment 1034957 [details]
File: limits

Comment 7 fred 2015-06-04 22:44:15 UTC
Created attachment 1034958 [details]
File: maps

Comment 8 fred 2015-06-04 22:44:17 UTC
Created attachment 1034959 [details]
File: mountinfo

Comment 9 fred 2015-06-04 22:44:18 UTC
Created attachment 1034960 [details]
File: namespaces

Comment 10 fred 2015-06-04 22:44:19 UTC
Created attachment 1034961 [details]
File: open_fds

Comment 11 fred 2015-06-04 22:44:20 UTC
Created attachment 1034962 [details]
File: proc_pid_status

Comment 12 fred 2015-06-04 22:44:21 UTC
Created attachment 1034963 [details]
File: var_log_messages

Comment 13 Bruce Cowan 2015-06-14 22:08:31 UTC
Another user experienced a similar problem:

Changed the grid size, and closing the preference window.

reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        gnome-2048
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/gnome-2048
global_pid:     30315
kernel:         4.0.4-303.fc22.i686+PAE
package:        gnome-2048-0.1.0-0.2.git83c5a4a.fc22
reason:         gnome-2048 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora Update System 2015-06-15 08:59:51 UTC
gnome-2048-0.1.0-0.4.git3ea1464.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gnome-2048-0.1.0-0.4.git3ea1464.fc22

Comment 15 Fedora Update System 2015-06-18 13:20:50 UTC
Package gnome-2048-0.1.0-0.4.git3ea1464.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-2048-0.1.0-0.4.git3ea1464.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10092/gnome-2048-0.1.0-0.4.git3ea1464.fc22
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2015-06-26 06:42:12 UTC
gnome-2048-0.1.0-0.4.git3ea1464.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.